Skip to main content
GET
/
api
/
v1
/
orders
List orders
curl --request GET \
  --url https://carboncopy.inc/api/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "id": "k17xyz789",
        "marketId": "<string>",
        "side": "YES",
        "amount": 50,
        "status": "filled",
        "createdAt": 1741550000000,
        "marketQuestion": "<string>",
        "filledAmount": 50,
        "price": 0.62,
        "filledAt": 123,
        "errorMessage": "<string>"
      }
    ],
    "nextCursor": "<string>",
    "hasMore": true
  },
  "meta": {
    "requestId": "cf7301af-0c1e-4354-85a8-9153db69ae6d",
    "timestamp": 1741600000000
  }
}

Authorizations

Authorization
string
header
required

API key in the format cc_<64 hex characters>. Obtain from the Dashboard under Settings → API Keys.

Query Parameters

status
enum<string>
Available options:
filled,
pending,
cancelled,
failed
limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string
since
integer
until
integer

Response

Paginated order list.

data
object
meta
object